Part Helix/it: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "Esempio:")
 
(16 intermediate revisions by the same user not shown)
Line 20: Line 20:
==Descrizione==
==Descrizione==


Una [[Image:Part_Helix.svg|24px]] '''Part Elica''' è una forma parametrica che può essere creata con il comando [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/it|Part Primitive]] . Nel sistema di coordinate definito dalla sua proprietà {{PropertyData|Placement}}, l'asse dell'elica corrisponde all'asse Z e il suo punto inferiore, il punto iniziale, si trova sull'asse X.
<div class="mw-translate-fuzzy">
La primitiva geometrica {{Button|[[File:Part_Helix.svg|16px]] [[Part_Helix/it|Elica]]}} crea una forma ad elica, definita da un raggio, un passo e un'altezza totale.
</div>


[[Image:Part_Helix_Example.png|400px]]
[[Image:Part_Helix_Example.png|400px]]
Line 29: Line 27:
==Utilizzo==
==Utilizzo==


See [[Part_Primitives#Usage|Part Primitives]].
Vedere [[Part_Primitives/it#Utilizzo|Part Primitive]].


== Example ==
<span id="Example"></span>
== Esempio ==


[[Image:Part_Helix_Scripting_Example.png|thumb|Part Helix from the scripting example]]
[[Image:Part_Helix_Scripting_Example.png|thumb|Part Elica dall'esempio di scripting]]


Qui viene mostrato un oggetto Part Elica creato con l'[[#Script|esempio di scripting]] riportato di seguito.
A Part Helix object created with the [[#Scripting|scripting example]] below is shown here.


<span id="Notes"></span>
<span id="Notes"></span>
== Note ==
<div class="mw-translate-fuzzy">
== Opzioni ==
</div>


* È possibile utilizzare una Part Elica per creare filettature. Vedere il [[Thread_for_Screw_Tutorial/it|Tutorial sulla filettatura]].
<div class="mw-translate-fuzzy">
Un uso comune della primitiva elica è per [[Thread_for_Screw_Tutorial/it|creare delle filettature]] insieme a un profilo chiuso e all'operazione {{Button|[[Image:Part_Sweep.svg|16px]] [[Part_Sweep/it|Sweep]]}}. Questo processo funziona essenzialmente allo stesso modo in [[PartDesign_Workbench/it|PartDesign]] utilizzando lo strumento {{Button|[[File:PartDesign_AdditivePipe.svg|16px]] [[PartDesign_AdditivePipe/it|Sweep additivo ]]}}.
</div>


== Properties ==
<span id="Properties"></span>
== Proprietà ==


See also: [[Property_editor|Property editor]].
Vedere anche: [[Property_editor/it|Editor delle proprietà]].


A Part Helix object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Un oggetto Part Elica deriva da un oggetto [[Part_Feature/it|Funzione Part]] e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:


<span id="Data"></span>
=== Data ===
=== Dati ===


{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
L'oggetto ha le stesse proprietà di collegamento di un [[Part_Part2DObject/it#Dati|Part Part2DObject]].


{{TitleProperty|Coordinate System}}
{{TitleProperty|Coordinate System}}


* {{PropertyData|Local Coord|Enumeration}}: The [https://en.wikipedia.org/wiki/Screw_thread handedness], or direction, of the helix: {{Value|Right-handed}} or {{Value|Left-handed}}. The default is {{Value|Right-handed}}, meaning the helix turns counterclockwise as it goes up.
* {{PropertyData|Local Coord|Enumeration}}: il [https://en.wikipedia.org/wiki/Screw_thread senso di rotazione], o direzione, dell'elica: {{Value|Right-handed}} o {{Value |Right-handed}}. Il valore predefinito è {{Value|Right-handed}}, il che significa che l'elica gira in senso antiorario mentre sale.


{{TitleProperty|Helix}}
{{TitleProperty|Helix}}


* {{PropertyData|Pitch|Length}}: The distance between two consecutive turns of the helix measured along its Z axis. The default is {{Value|1mm}}.
* {{PropertyData|Pitch|Length}}: la distanza tra due giri consecutivi dell'elica misurata lungo il suo asse Z. Il valore predefinito è {{Value|1mm}}.
* {{PropertyData|Height|Length}}: The height of the helix. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: l'altezza dell'elica. Il valore predefinito è {{Value|2mm}}.
* {{PropertyData|Radius|Length}}: The start radius of the helix. The helix has a constant radius if {{PropertyData|Angle}} is {{Value|0°}}.
* {{PropertyData|Radius|Length}}: il raggio iniziale dell'elica. L'elica ha un raggio costante se {{PropertyData|Angle}} è {{Value|0°}}.
* {{PropertyData|Segment Length|QuantityConstraint}}: The number of turns per helix subdivision. The default is {{Value|1}}, meaning each full turn of the helix is a separate segment. Use {{Value|0}} to suppress subdivision.
* {{PropertyData|Segment Length|QuantityConstraint}}: il numero di giri per suddivisione dell'elica. Il valore predefinito è {{Value|1}}, il che significa che ogni giro completo dell'elica è un segmento separato. Utilizzare {{Value|0}} per sopprimere la suddivisione.
* {{PropertyData|Angle|Angle}}: The angle that defines of the outer shape of the helix. Valid range: {{Value|-90° &lt; value &lt; 90°}}. The default is {{Value|0°}}. If it is {{Value|0°}} the helix is cylindrical, else it is conical.
* {{PropertyData|Angle|Angle}}: l'angolo che definisce la forma esterna dell'elica. Intervallo valido: {{Value|-90° &lt; valore &lt; 90°}}. Il valore predefinito è {{Value|0°}}. Se è {{Value|0°}} l'elica è cilindrica, altrimenti è conica.


== Scripting ==
<span id="Scripting"></span>
== Script ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
Vedere anche: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting/it|Script di Part]] e [[FreeCAD_Scripting_Basics/it|Script di base per FreeCAD]].


A Part Helix can be created with the {{Incode|addObject()}} method of the document:
È possibile creare una Part Elica con il metodo {{Incode|addObject()}} del documento:


{{Code|code=
{{Code|code=
Line 80: Line 78:
}}
}}


* Where {{Incode|"myHelix"}} is the name for the object.
* Dove {{Incode|"myHelix"}} è il nome dell'oggetto.
* La funzione restituisce l'oggetto appena creato.
* The function returns the newly created object.


Esempio:
Example:


{{Code|code=
{{Code|code=

Latest revision as of 22:01, 2 January 2024

Part Elica

Posizione nel menu
Parte → Crea primitive → Elica
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Una Part Elica è una forma parametrica che può essere creata con il comando Part Primitive . Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, l'asse dell'elica corrisponde all'asse Z e il suo punto inferiore, il punto iniziale, si trova sull'asse X.

Utilizzo

Vedere Part Primitive.

Esempio

Part Elica dall'esempio di scripting

Qui viene mostrato un oggetto Part Elica creato con l'esempio di scripting riportato di seguito.

Note

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Elica deriva da un oggetto Funzione Part e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.

Coordinate System

  • DatiLocal Coord (Enumeration): il senso di rotazione, o direzione, dell'elica: Right-handed o Right-handed. Il valore predefinito è Right-handed, il che significa che l'elica gira in senso antiorario mentre sale.

Helix

  • DatiPitch (Length): la distanza tra due giri consecutivi dell'elica misurata lungo il suo asse Z. Il valore predefinito è 1mm.
  • DatiHeight (Length): l'altezza dell'elica. Il valore predefinito è 2mm.
  • DatiRadius (Length): il raggio iniziale dell'elica. L'elica ha un raggio costante se DatiAngle è .
  • DatiSegment Length (QuantityConstraint): il numero di giri per suddivisione dell'elica. Il valore predefinito è 1, il che significa che ogni giro completo dell'elica è un segmento separato. Utilizzare 0 per sopprimere la suddivisione.
  • DatiAngle (Angle): l'angolo che definisce la forma esterna dell'elica. Intervallo valido: -90° < valore < 90°. Il valore predefinito è . Se è l'elica è cilindrica, altrimenti è conica.

Script

Vedere anche: Autogenerated API documentation, Script di Part e Script di base per FreeCAD.

È possibile creare una Part Elica con il metodo addObject() del documento:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Dove "myHelix" è il nome dell'oggetto.
  • La funzione restituisce l'oggetto appena creato.

Esempio:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()